Page MenuHomePhabricator

Display storage space and file size in appropriate units
Closed, ResolvedPublic

Description

Finding from usability testing conducted in T167129:
New Readers thought displaying file-size units only in gigabytes intimidating (as it indicated packs were very large) and confusing (as some smaller packs less than 100MB were shown incomprehensibly as "0.00 GB" .

Proposed solution:
Display storage space in appropriate units for an individual file's size.
Eg., Show the "Ray Charles" article pack as 1.5MB instead of “0.00 GB”

Event Timeline

RHo created this task.Oct 10 2017, 8:18 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 11 2017, 4:22 PM

Hi @RHo ,

I am thinking of picking this up. Needed some help from you.

We are talking about offline compilation list size here, right?

  • On my device, I can see lists whose sizes are < 100mb and are shown appropriate in Gbs (0.01gb, 0.02 gbs etc) (Screenshot attached)
  • I can't find Ray Charles article pack in the list. Can you point me to any other example.

Please let me know if you need anything else from my side

Dbrant added a subscriber: Dbrant.Oct 23 2017, 5:35 PM

@yashasvi You're definitely welcome to pick this up!

  • This is simply asking to show the sizes in MB if the size is smaller than 1 GB. So for example, in the list of compilations there's one called "Wikipedia IG/Igbo" which is shown as 0.01 GB. This would need to appear as 10 MB.

@Dbrant added a project: Google-Code-in-2017

@Dbrant: Do you (or someone else) plan to mentor this? Please see and follow https://www.mediawiki.org/wiki/Google_Code-in/2017 - thanks!

@Dbrant @Aklapper: Volunteers can take any of these tasks with tags "Easy" and "Google-Code-in-2017." or just those with the "Easy" tag?

@Jcasariego Anyone is welcome to pick up this task. The tag of Google-Code-in-2017 simply makes the task even more visible to prospective volunteers from the Google event.

@Jcasariego Anyone is welcome to pick up this task. The tag of Google-Code-in-2017 simply makes the task even more visible to prospective volunteers from the Google event.

@Dbrant: As long as nobody offers mentoring, this task will not become available in Google Code-in. Will you mentor, or do you know someone who will mentor?

Dbrant added a comment.Dec 5 2017, 5:20 PM

@Aklapper I'm afraid no one within the team currently has the bandwidth to mentor :( Should we remove the code-in tag from the task?

Hi @Dbrant ,

Sorry I missed this task earlier.

Resumed it today and needed your help.

The string that shows the size is added in xml for different locales and GB is hardcoded there. So if we are going to show the size in MB in some cases, we'd need the localised strings for this case as well. Could you help me move forward with that?

Dbrant added a comment.Dec 8 2017, 9:59 PM

@yashasvi Sure, just make another string resource for the MB case:

  • add a new string resource to strings.xml (copy it from the GB string)
  • add the same resource to values-qq/strings.xml (copy from the GB string)

All the other localizations are done asynchronously by our translators, and will be handled after this change is made.

Change 396573 had a related patch set uploaded (by Yashasvi; owner: Yashasvi):
[apps/android/wikipedia@master] Offline compilations : show size in MB when its less than 1 gb

https://gerrit.wikimedia.org/r/396573

@Dbrant ,

I've made the change, modified and added some strings in strings.xml (and appropriately in values-qq/strings.xml). The units shown on various screens look good to me in english locale.

On a second note, I am curious about this:

All the other localizations are done asynchronously by our translators, and will be handled after this change is made.

Can you please help me understand a bit more about how this works?

Hi @Dbrant ,

Just checking if you had a chance to look at the patch.

Hi @Dbrant ,

Wanted to check if you or someone else in the team had time to check the patch ? :)

Dbrant closed this task as Resolved.Feb 22 2018, 11:58 PM
Dbrant claimed this task.